CID(1ACK)

NAME
cid - change identifiers not occurring in C comment, strings and character constants.

SYNOPSIS
cid [options] [file ..]

DESCRIPTION
Cid copies the files, or standard input if no files are specified, to standard output replacing the specified identifiers by some text, defined by the caller in an option or on a file.
Options is a list of one or more of the following options:

-Dname=text
    replace each occurence of name by text. Text may be empty, in which case the identifier is deleted.

-Dname
    Delete all occurences of name.

-Ffile
    Read substitute commands of the form "name=text", each on a single line, from file file.

SEE ALSO
prid(1), cclash(1)

DIAGNOSTICS
Supposed to be self explanatory.

BUGS
The syntax of the substitute definitions is not (well) checked.